Subject: open-rc : Ð¿Ñ€Ð¾Ð±Ð»ÐµÐ¼Ð° Ñ• Ð·Ð°Ð²Ð¸Ñ•Ð¸Ð¼Ð¾Ñ•Ñ‚Ñ•Ð¼Ð¸ Ñ•ÐºÑ€Ð¸Ð¿Ñ‚Ð¾Ð² 

Description: Ð•Ð° ÐºÐ¾Ð¼Ð¿ÑŒÑŽÑ‚ÐµÑ€Ðµ 2 Ñ•ÐµÑ‚ÐµÐ²Ñ‹Ñ… ÐºÐ°Ñ€Ñ‚Ñ‹: ethernet Ð¸ wifi.


Ð¡ÐºÐ¾Ð½Ñ„Ð¸Ð³ÑƒÑ€Ð¸Ñ€Ð¾Ð²Ð°Ð½Ñ‹.


ÐŸÐ¾Ñ•Ð»Ðµ Ð¿ÐµÑ€ÐµÐ·Ð°Ð³Ñ€ÑƒÐ·ÐºÐ¸ Ñ• ethernet Ð²Ñ•Ðµ Ð½Ð¾Ñ€Ð¼Ð°Ð»ÑŒÐ½Ð¾. 

ÐšÐ°Ñ€Ñ‚Ð¾Ñ‡ÐºÐµ wifi Ð½Ðµ Ð½Ð°Ð·Ð½Ð°Ñ‡Ð°ÐµÑ‚Ñ•Ñ•


Ñ•ÐµÑ‚ÐµÐ²Ð¾Ð¹ Ð°Ð´Ñ€ÐµÑ•, ÐºÑ€Ð¾Ð¼Ðµ Ñ‚Ð¾Ð³Ð¾ Ð½Ðµ Ñ€Ð°Ð±Ð¾Ñ‚Ð°ÑŽÑ‚ 

Ñ•ÐµÑ‚ÐµÐ²Ñ‹Ðµ Ñ•ÐµÑ€Ð²Ð¸Ñ•Ñ‹: hostapd, samba, sshd, vnc.


Ð§Ñ‚ÐµÐ½Ð¸Ðµ Ð»Ð¾Ð³Ð° Ð·Ð°Ð³Ñ€ÑƒÐ·ÐºÐ¸ Ñ• Ñ•ÐºÑ€Ð°Ð½Ð° (ÐºÑ•Ñ‚Ð°Ñ‚Ð¸, ÐºÑƒÐ´Ð° 

Ð¿Ð¸ÑˆÑƒÑ‚ Ð»Ð¾Ð³ Ñ•Ñ‚Ð°Ñ€Ñ‚Ð¾Ð²Ñ‹Ðµ Ñ•ÐºÑ€Ð¸Ð¿Ñ‚Ñ‹?)


Ð¿Ð¾ÐºÐ°Ð·Ð°Ð»Ð¾, Ñ‡Ñ‚Ð¾ Ñ•ÐµÑ€Ð²Ð¸Ñ•Ñ‹ Ð·Ð°Ð¿ÑƒÑ‰ÐµÐ½Ñ‹, Ð½Ð¾ Ð¶Ð´ÑƒÑ‚ Ð¼Ð¾ÑŽ 

Ñ•ÐµÑ‚ÐµÐ²ÑƒÑŽ wifi ÐºÐ°Ñ€Ñ‚Ð¾Ñ‡ÐºÑƒ, ÐºÐ¾Ñ‚Ð¾Ñ€Ð°Ñ• 

Ñ•ÐºÐ¾Ð½Ñ„Ð¸Ð³ÑƒÑ€Ð¸Ñ€Ð¾Ð²Ð°Ð½Ð°, Ð½Ð¾ Ð½Ðµ Ð°ÐºÑ‚Ð¸Ð²Ð½Ð°. 


ÐšÐ¾Ð½ÐµÑ‡Ð½Ð¾ Ð½Ðµ Ð°ÐºÑ‚Ð¸Ð²Ð½Ð°! Ð­Ñ‚Ð¾ Ñ•Ð¾ÐµÐ´Ð¸Ð½ÐµÐ½Ð¸Ðµ Ð½ÑƒÐ¶Ð½Ð¾ 

Ð»Ð¸ÑˆÑŒ Ð²Ñ€ÐµÐ¼Ñ• Ð¾Ñ‚ Ð²Ñ€ÐµÐ¼ÐµÐ½Ð¸, Ð° Ð½Ðµ Ð¿Ð¾Ñ•Ñ‚Ð¾Ñ•Ð½Ð½Ð¾.


ÐŸÐ¾ÐºÐ° Ñ‡Ñ‚Ð¾ Ð¿Ñ€Ð¾Ð±Ð»ÐµÐ¼Ñƒ Ñ€ÐµÑˆÐ¸Ð» Ñ•Ð°Ð¼Ð¾Ð¿Ð¸Ñ•Ð½Ñ‹Ð¼ 

Ñ•ÐºÑ€Ð¸Ð¿Ñ‚Ð¾Ð¼, Ð·Ð°Ð¿ÑƒÑ•ÐºÐ°ÑŽÑ‰Ð¸Ð¼ Ð½ÑƒÐ¶Ð½Ñ‹Ðµ Ð¼Ð½Ðµ Ñ•ÐµÑ€Ð²Ð¸Ñ•Ñ‹ 

Ð±ÐµÐ· Ð²Ñ•Ñ•ÐºÐ¸Ñ… Ð·Ð°Ð²Ð¸Ñ•Ð¸Ð¼Ð¾Ñ•Ñ‚ÐµÐ¹.


ÐšÐ°Ðº Ð¿Ñ€Ð°Ð²Ð¸Ð»ÑŒÐ½Ð¾ Ð¸Ñ•Ð¿Ñ€Ð°Ð²Ð¸Ñ‚ÑŒ Ñ•Ñ‚Ð¾ Ð² Calculate, Ñ• Ð½Ðµ Ð·Ð½Ð°ÑŽ.


History

07/31/2013 08:43 am - Mikhail Hiretsky

- Status changed from New to Feedback

Ð£ÐºÐ°Ð¶Ð¸Ñ‚Ðµ Ð² Ð¿ÐµÑ€ÐµÐ¼ÐµÐ½Ð½Ð¾Ð¹ @rc_hotplug@ ÐºÐ¾Ð½Ñ„Ð¸Ð³Ð° @/etc/rc.conf@ Ñ‚Ðµ Ñ•ÐµÑ‚ÐµÐ²Ñ‹Ðµ 

Ð¸Ð½Ñ‚ÐµÑ€Ñ„ÐµÐ¹Ñ•Ñ‹, ÐºÐ¾Ñ‚Ð¾Ñ€Ñ‹Ðµ Ð¾Ð·Ð½Ð°Ñ‡Ð°ÑŽÑ‚ Ð·Ð°Ð¿ÑƒÑ•Ðº Ñ•ÐµÑ‚Ð¸.

08/01/2013 12:25 am - Evgeny Pashigorov

Ð•Ð°Ð²ÐµÑ€Ð½Ð¾Ðµ, Ð¼Ð¾Ð¹ Ð°Ð½Ð³Ð»Ð¸Ð¹Ñ•ÐºÐ¸Ð¹ Ñ•Ð¸Ð»ÑŒÐ½Ð¾ Ñ…Ñ€Ð¾Ð¼Ð°ÐµÑ‚, Ð½Ð¾ Ñ„Ñ€Ð°Ð·Ñƒ 


"rc_hotplug is a list of services that we allow to be hotplugged.


 By default we do not allow hotplugging"


Ñ• Ð¿Ð¾Ð½Ð¸Ð¼Ð°ÑŽ ÐºÐ°Ðº Ñ•Ð¿Ð¸Ñ•Ð¾Ðº ÑƒÑ•Ñ‚Ñ€Ð¾Ð¹Ñ•Ñ‚Ð², ÐºÐ¾Ñ‚Ð¾Ñ€Ñ‹Ðµ Ñ€Ð°Ð·Ñ€ÐµÑˆÐµÐ½Ð¾ Ð¿Ð¾Ð´ÐºÐ»ÑŽÑ‡Ð°Ñ‚ÑŒ 

"Ð½Ð° Ð³Ð¾Ñ€Ñ•Ñ‡ÑƒÑŽ" 


(Ñ‚Ð¾ ÐµÑ•Ñ‚ÑŒ, Ð¸Ñ… Ð½Ðµ Ð½Ð°Ð´Ð¾ Ð¶Ð´Ð°Ñ‚ÑŒ Ð²Ð¾ Ð²Ñ€ÐµÐ¼Ñ• Ð·Ð°Ð³Ñ€ÑƒÐ·ÐºÐ¸).


Ð’ Ð»ÑŽÐ±Ð¾Ð¼ Ñ•Ð»ÑƒÑ‡Ð°Ðµ, Ð¿Ð¸ÑˆÑƒ Ð»Ð¸ Ñ• Ñ‚ÑƒÐ´Ð° net.*  Ð¸Ð»Ð¸  !net.*


Ñ•ÐµÑ€Ð²Ð¸Ñ•Ñ‹ Ð²Ñ•Ðµ Ñ€Ð°Ð²Ð½Ð¾ Ð¶Ð´ÑƒÑ‚ Ñ•Ñ‚Ñƒ Ð·Ð»Ð¾Ñ•Ñ‡Ð°Ñ•Ñ‚Ð½ÑƒÑŽ wi-fi, ÐºÐ¾Ñ‚Ð¾Ñ€Ð°Ñ• Ð½Ð¸ÐºÐ¾Ð³Ð´Ð° Ð½Ðµ 

Ñ•Ñ‚Ð°Ð½ÐµÑ‚ Ð°ÐºÑ‚Ð¸Ð²Ð½Ð¾Ð¹,


Ð¿Ð¾Ñ•ÐºÐ¾Ð»ÑŒÐºÑƒ hostapd Ð½Ðµ Ð·Ð°Ð¿ÑƒÑ‰ÐµÐ½.


08/01/2013 04:08 pm - Mikhail Hiretsky

ÐŸÐ¾Ð¿Ñ€Ð¾Ð±ÑƒÐ¹Ñ‚Ðµ Ð´Ð¾Ð±Ð°Ð²Ð¸Ñ‚ÑŒ Ñ‚Ð°ÐºÑƒÑŽ Ñ•Ñ‚Ñ€Ð¾ÐºÑƒ:


<pre>rc_net_wlan0_provide="!net"</pre>

08/01/2013 11:46 pm - Evgeny Pashigorov

ÐŸÑ€Ð°Ð²Ð¸Ð»ÑŒÐ½Ð¾ Ð»Ð¸ Ñ• Ð¿Ð¾Ð½Ð¸Ð¼Ð°ÑŽ, Ñ‡Ñ‚Ð¾ Ð² Ð´Ð°Ð½Ð½Ð¾Ð¹ ÐºÐ¾Ð¼Ð°Ð½Ð´Ðµ Ð´Ð¾Ð»Ð¶Ð½Ð¾ 

Ñ„Ð¸Ð³ÑƒÑ€Ð¸Ñ€Ð¾Ð²Ð°Ñ‚ÑŒ


Ð½Ð°Ñ•Ñ‚Ð¾Ñ•Ñ‰ÐµÐµ Ð¸Ð¼Ñ• Ð¸Ð½Ñ‚ÐµÑ€Ñ„ÐµÐ¹Ñ•Ð°? Ð• Ñ‚Ð¾ Ð² Ð¼Ð¾ÐµÐ¼ Calculate wifi ÐºÐ°Ñ€Ñ‚Ð¾Ñ‡ÐºÐ° 
Ð¿Ð¾Ð»ÑƒÑ‡Ð¸Ð»Ð° Ð¸Ð¼Ñ• wlp2s0 (Ð² Ñ•Ð²Ñ•Ð·Ð¸ Ñ• Ñ‡ÐµÐ¼ Ñ• Ð¿Ð¾Ð¸Ð¼ÐµÐ» Ð½ÐµÐ¼Ð°Ð»Ð¾ Ð²ÐµÑ•ÐµÐ»Ñ‹Ñ… Ð¼Ð¸Ð½ÑƒÑ‚,


Ð¿ÐµÑ€ÐµÑ•Ñ‚Ð°Ð»Ð¸ Ñ€Ð°Ð±Ð¾Ñ‚Ð°Ñ‚ÑŒ Ð²Ñ•Ðµ Ñ•ÐºÑ€Ð¸Ð¿Ñ‚Ñ‹, Ñ•Ð²Ñ•Ð·Ð°Ð½Ð½Ñ‹Ðµ Ñ• Ñ•ÐµÑ‚ÑŒÑŽ).





Ð•Ð¾ Ð½ÐµÐ²Ð°Ð¶Ð½Ð¾, Ð¿Ð¸ÑˆÑƒ Ð»Ð¸ Ñ•: rc_net_wlan0_provide="!net"


Ð¸Ð»Ð¸: 	rc_net_wlp2s0_provide="!net"


Ð¸Ð»Ð¸ Ð´Ð°Ð¶Ðµ:	rc_net_wlp2s0_provide="!net.*"


- Ñ€ÐµÐ·ÑƒÐ»ÑŒÑ‚Ð°Ñ‚Ð° Ð½ÐµÑ‚, Ñ•ÐµÑ€Ð²Ð¸Ñ•Ñ‹ Ð¶Ð´ÑƒÑ‚...


08/02/2013 09:35 am - Mikhail Hiretsky

ÐšÐ°ÐºÐ¸Ðµ Ñ•ÐµÑ€Ð²Ð¸Ñ•Ñ‹ Ñƒ Ð’Ð°Ñ• Ð² Ð°Ð²Ñ‚Ð¾Ð·Ð°Ð³Ñ€ÑƒÐ·ÐºÐµ?

08/02/2013 10:31 pm - Evgeny Pashigorov

<pre>


# rc-update


            alsasound |      default                                  


             bootmisc | boot                                          


       calculate-core |      default                                  


          consolefont | boot                                          


           consolekit | boot                                          


         cpufrequtils |      default                                  


                cupsd |      default                                  


                 dbus | boot                                          


                devfs |                                        sysinit


                dmesg |                                        sysinit


           fbcondecor |      default                                  


             firewall | boot                                          


                 fsck | boot                                          


              hostapd |      default                                  


             hostname | boot                                          


              hwclock | boot                                          


              keymaps | boot                                          


            killprocs |                        shutdown               


                local |      default nonetwork                        


           localmount | boot                                          


              modules | boot                                          


             mount-ro |                        shutdown               


                 mtab | boot                                          


              mylocal |      default                                  


              mymount | boot                                          


               net.lo | boot                                          


             netmount |      default                                  


              numlock |      default                                  


              preload |      default                                  


               procfs | boot                                          


                 root | boot                                          


                samba |      default                                  


            savecache |                        shutdown               


                 sshd |      default                                  


                 swap | boot                                          


            swapfiles | boot                                          


               sysctl | boot                                          


                sysfs |                                        sysinit
            syslog-ng | boot                                          





</pre>


Ð¡ÐºÑ€Ð¸Ð¿Ñ‚ mymount - Ð¿Ð¾Ð´Ð¿Ð¾Ñ€ÐºÐ°, Ð¾Ñ•Ñ‚Ð°Ð»Ð°Ñ•ÑŒ Ð¾Ñ‚ Ð¿ÐµÑ€ÐµÑ…Ð¾Ð´Ð° Ñ• Ð”ÐµÐ±Ð¸Ð°Ð½Ð°.


ÐœÐ¾Ð¸ cÐºÑ€Ð¸Ð¿Ñ‚Ñ‹ firewall Ð¸ mylocal - Ð·Ð°Ð¿ÑƒÑ•ÐºÐ°ÑŽÑ‚ NAT, hostapd, Ð·Ð°Ð´Ð°ÑŽÑ‚ Ð°Ð´Ñ€ÐµÑ• Ð´Ð»Ñ• wlp2s0


Ð±ÐµÐ· Ð¾Ð³Ð»Ñ•Ð´ÐºÐ¸ Ð½Ð° Ð·Ð°Ð²Ð¸Ñ•Ð¸Ð¼Ð¾Ñ•Ñ‚Ð¸.

08/05/2013 09:17 am - Mikhail Hiretsky

Ð”Ð¾Ð±Ð°Ð²ÑŒÑ‚Ðµ Ð² @/etc/conf.d/net@:


<pre>modules_wlp2s0="plug"</pre>


08/05/2013 09:20 pm - Evgeny Pashigorov

Ð”Ð¾Ð±Ð°Ð²Ð¸Ð». Ð•Ð¸Ñ‡ÐµÐ³Ð¾ Ð½Ðµ Ð¸Ð·Ð¼ÐµÐ½Ð¸Ð»Ð¾Ñ•ÑŒ. ÐŸÐ¾-Ð¿Ñ€ÐµÐ¶Ð½ÐµÐ¼Ñƒ Ð¶Ð´ÑƒÑ‚.

ÐœÐ½Ðµ ÐºÐ°Ð¶ÐµÑ‚Ñ•Ñ•, Ð¼Ñ‹ Ð³Ð´Ðµ-Ñ‚Ð¾ Ð½Ðµ Ñ‚Ð°Ð¼ ÐºÐ¾Ð¿Ð°ÐµÐ¼.

ÐšÐ°ÐºÐ¾Ð¹-Ñ‚Ð¾ Ð¿Ñ€Ð¾Ñ•Ñ‚Ð¾Ð¹ ÐºÐ¾Ñ•Ñ•Ðº (Ð²ÐµÐ´ÑŒ Ð±ÐµÐ· Ð·Ð°Ð²Ð¸Ñ•Ð¸Ð¼Ð¾Ñ•Ñ‚ÐµÐ¹ Ð²Ñ•Ðµ Ñ€Ð°Ð±Ð¾Ñ‚Ð°ÐµÑ‚!).

Ð• Ð¼Ð¾Ð¶ÐµÑ‚Ðµ Ð¿Ð¾Ð´Ñ•ÐºÐ°Ð·Ð°Ñ‚ÑŒ, Ð² ÐºÐ°ÐºÐ¾Ð¹ Ð»Ð¾Ð³ Ð¿Ð¸ÑˆÑƒÑ‚ Ñ•ÐºÑ€Ð¸Ð¿Ñ‚Ñ‹ Ð¸Ð· init.d ?

08/06/2013 08:52 am - Mikhail Hiretsky

ÐšÐ°Ðº Ñ• Ð¿Ð¾Ð½Ð¸Ð¼Ð°ÑŽ @hostapd@ Ð¸Ñ•Ð¿Ð¾Ð»ÑŒÐ·ÑƒÐµÑ‚Ñ•Ñ• Ð´Ð»Ñ• @wifi@, Ð° Ñƒ Ð’Ð°Ñ• Ð¾Ð½Ð° Ð² 

Ð°Ð²Ñ‚Ð¾Ð·Ð°Ð³Ñ€ÑƒÐ·ÐºÐµ. ÐŸÐ¾Ð¿Ñ€Ð¾Ð±ÑƒÐ¹Ñ‚Ðµ ÑƒÐ´Ð°Ð»Ð¸Ñ‚ÑŒ ÐµÐ³Ð¾ Ð¸Ð· @default@.

08/06/2013 08:54 am - Mikhail Hiretsky

Evgeny Pashigorov wrote:


> Ð• Ð¼Ð¾Ð¶ÐµÑ‚Ðµ Ð¿Ð¾Ð´Ñ•ÐºÐ°Ð·Ð°Ñ‚ÑŒ, Ð² ÐºÐ°ÐºÐ¾Ð¹ Ð»Ð¾Ð³ Ð¿Ð¸ÑˆÑƒÑ‚ Ñ•ÐºÑ€Ð¸Ð¿Ñ‚Ñ‹ Ð¸Ð· init.d ?





Ð•Ñ•Ð»Ð¸ Ð»Ð¾Ð³Ð¸Ñ€Ð¾Ð²Ð°Ð½Ð¸Ðµ Ð²ÐºÐ»ÑŽÑ‡ÐµÐ½Ð¾ (Ð² @/etc/rc.conf@), Ñ‚Ð¾ Ð¿Ð¾ Ð¸Ð´ÐµÐµ Ð² @/var/log/rc.log@.





08/28/2013 06:59 am - ÐœÐ¸Ñ…Ð°Ð¸Ð» Ð“Ð°Ð³Ð°ÑƒÐ·

> Ð• Ñ‚Ð¾ Ð² Ð¼Ð¾ÐµÐ¼ Calculate wifi ÐºÐ°Ñ€Ñ‚Ð¾Ñ‡ÐºÐ° Ð¿Ð¾Ð»ÑƒÑ‡Ð¸Ð»Ð° Ð¸Ð¼Ñ• wlp2s0 (Ð² Ñ•Ð²Ñ•Ð·Ð¸ Ñ• Ñ‡ÐµÐ¼ Ñ• 

Ð¿Ð¾Ð¸Ð¼ÐµÐ» Ð½ÐµÐ¼Ð°Ð»Ð¾ Ð²ÐµÑ•ÐµÐ»Ñ‹Ñ… Ð¼Ð¸Ð½ÑƒÑ‚,


Ð¿ÐµÑ€ÐµÑ•Ñ‚Ð°Ð»Ð¸ Ñ€Ð°Ð±Ð¾Ñ‚Ð°Ñ‚ÑŒ Ð²Ñ•Ðµ Ñ•ÐºÑ€Ð¸Ð¿Ñ‚Ñ‹, Ñ•Ð²Ñ•Ð·Ð°Ð½Ð½Ñ‹Ðµ Ñ• Ñ•ÐµÑ‚ÑŒÑŽ).





Ð¡ÐºÐ°Ð¶ÐµÐ¼ Ñ•Ð¿Ð°Ñ•Ð¸Ð±Ð¾ Ð·Ð° Ñ•Ñ‚Ð¾ ÐŸÐ¾Ñ‚Ñ‚ÐµÑ€Ð¸Ð½Ð³Ñƒ, ÐºÑ•Ñ‚Ð°Ñ‚Ð¸, Ð¾Ñ‚ÐºÐ»ÑŽÑ‡Ð°ÐµÑ‚Ñ•Ñ• Ñ•Ñ‚Ð° 

Ð´Ð¸Ñ‡Ð°Ð¹ÑˆÐ°Ñ• ÑˆÑ‚ÑƒÐºÐ° Ð¿Ñ€Ð¸Ð¿Ð¸Ñ•Ñ‹Ð²Ð°Ð½Ð¸ÐµÐ¼ Ðº Ð¿Ð°Ñ€Ð°Ð¼ÐµÑ‚Ñ€Ð°Ð¼ Ñ•Ð´Ñ€Ð° 

Ð´Ð¾Ð¿Ð¾Ð»Ð½Ð¸Ñ‚ÐµÐ»ÑŒÐ½Ð¾ Ñ•Ñ‚Ð¾Ð³Ð¾ Ð¿Ð°Ñ€Ð°Ð¼ÐµÑ‚Ñ€Ð° *@net.ifnames=0@*





Ð’ Ñ•Ð¿Ð¸Ñ•ÐºÐµ Ð²Ð°ÑˆÐ¸Ñ… Ñ•Ð»ÑƒÐ¶Ð± Ñ• Ð½Ðµ Ð²Ð¸Ð¶Ñƒ Ð½Ð¸ÐºÐ°ÐºÐ¸Ñ… Ñ•ÐµÑ‚ÐµÐ²ÑƒÑ…. Ð• Ð²Ð¾Ð¾Ð±Ñ‰Ðµ - ÐºÐ°ÐºÐ¸Ðµ 

Ñ•ÐºÑ€Ð¸Ð¿Ñ‚Ñ‹ Ð·Ð°Ð¿ÑƒÑ•ÐºÐ° Ñ•ÐµÑ‚ÐµÐ²ÑƒÑ… Ñƒ Ð²Ð°Ñ• ÐµÑ•Ñ‚ÑŒ?


*@ls -l /etc/init.d/net.*@*

08/28/2013 09:48 pm - Evgeny Pashigorov

> Ð’ Ñ•Ð¿Ð¸Ñ•ÐºÐµ Ð²Ð°ÑˆÐ¸Ñ… Ñ•Ð»ÑƒÐ¶Ð± Ñ• Ð½Ðµ Ð²Ð¸Ð¶Ñƒ Ð½Ð¸ÐºÐ°ÐºÐ¸Ñ… Ñ•ÐµÑ‚ÐµÐ²ÑƒÑ…. Ð• Ð²Ð¾Ð¾Ð±Ñ‰Ðµ - ÐºÐ°ÐºÐ¸Ðµ 

Ñ•ÐºÑ€Ð¸Ð¿Ñ‚Ñ‹ Ð·Ð°Ð¿ÑƒÑ•ÐºÐ° Ñ•ÐµÑ‚ÐµÐ²ÑƒÑ… Ñƒ Ð²Ð°Ñ• ÐµÑ•Ñ‚ÑŒ?


> *@ls -l /etc/init.d/net.*@*





$ ls -l /etc/init.d/net.*


lrwxrwxrwx 1 root root     6 Ð°Ð²Ð³.   5 22:23 /etc/init.d/net.enp3s0 -> net.lo


-rwxr-xr-x 1 root root 16919 Ñ•Ð½Ð².  11  2013 /etc/init.d/net.lo


lrwxrwxrwx 1 root root     6 Ð°Ð²Ð³.   5 22:23 /etc/init.d/net.wlp2s0 -> net.lo
Ð¡ÐºÑ€Ð¸Ð¿Ñ‚Ñ‹ ÐµÑ•Ñ‚ÑŒ, Ñ• Ð¸Ñ… Ð¿Ð¾Ð²Ñ‹ÐºÐ»ÑŽÑ‡Ð°Ð», Ð²Ñ•Ðµ Ñ€Ð°Ð²Ð½Ð¾ Ð¾Ð½Ð¸ Ð½Ðµ Ñ€Ð°Ð±Ð¾Ñ‚Ð°ÑŽÑ‚, Ð¶Ð´ÑƒÑ‚ 

Ð´Ñ€ÑƒÐ³ Ð´Ñ€ÑƒÐ³Ð°. Ð¢ÑƒÐ¿Ð¾ Ð·Ð°Ð¿ÑƒÑ•ÐºÐ°ÑŽ


Ñ•ÐºÑ€Ð¸Ð¿Ñ‚ mylocal:


cat /etc/init.d/mylocal 


#!/sbin/runscript





depend()


{


	need localmount


	after bootmisc modules


	before dns


}





start()


{


	/etc/init.d/firewall start


	/bin/ifconfig wlp2s0 192.168.2.11/24


	/bin/ifconfig wlp2s0 up


	/usr/sbin/hostapd -B /etc/hostapd/hostapd.conf


}





Ð¢ÐµÐ¿ÐµÑ€ÑŒ Ð¸ Ñ•Ð°Ð¼ ÑƒÐ´Ð¸Ð²Ð»Ñ•ÑŽÑ•ÑŒ, ÐºÑ‚Ð¾ Ð¶Ðµ ethernet Ð¼Ð½Ðµ ÐºÐ¾Ð½Ñ„Ð¸Ð³ÑƒÑ€Ð¸Ñ€ÑƒÐµÑ‚??   :)


Ð”Ð¾Ð»Ð³Ð¾ Ð¼Ð½Ðµ ÐµÑ‰Ðµ Ðº Ñ…ÐµÐ½Ñ‚Ñƒ Ð¿Ñ€Ð¸Ð²Ñ‹ÐºÐ°Ñ‚ÑŒ!


03/13/2024 4/4


